# Helix Core Extensions Examples

----

## Introduction

These example Extensions are provided as-is, to illustrate the use of Extension APIs.

Each example has three pieces to it:

* A directory with the Extension code itself (suitable for use with `p4 extension --package`)
* A 'example.p4-extension' file which is the packaged version of each example.
* A '.t' file (an internal Perl test suite file) with some example usage and output for context.

These examples work with the current release (and later) of the Helix Core server.

Documentation for each example can be found inline with the Extension source code or
in a README.txt in the Extension directory.

----

## Contribution

Patches and new examples are welcome.

----

## Support

See the Sysadmin Guide [chapter](https://www.perforce.com/manuals/p4sag/Content/P4SAG/chapter.scripting.html) on Extensions and the Extensions API [guide](https://www.perforce.com/manuals/Extensions/Home-extensions.html) for reference.

While this example code is unsupported, Perforce Support(<support@perforce.com>) may be able to assist.

Feedback on these examples, Extensions and so forth is welcomed.  Please email Perforce support with your comments.

----

## License

The following license applies only to the example code in this project and does not include the rest of Helix Core.

See the [LICENSE](LICENSE) file.
